Index: /NEMO/branches/2020/dev_r14116_HPC-04_mcastril_Mixed_Precision_implementation_final/tests/ICE_RHEO/MY_SRC/icedyn_rhg_eap.F90
===================================================================
--- /NEMO/branches/2020/dev_r14116_HPC-04_mcastril_Mixed_Precision_implementation_final/tests/ICE_RHEO/MY_SRC/icedyn_rhg_eap.F90	(revision 14199)
+++ /NEMO/branches/2020/dev_r14116_HPC-04_mcastril_Mixed_Precision_implementation_final/tests/ICE_RHEO/MY_SRC/icedyn_rhg_eap.F90	(revision 14200)
@@ -1699,297 +1706,35 @@
       zHen2t1 = 0._wp
       ENDIF
-   
-      s11kr = (- zHen1t2 * zn1t2i11 - zHen2t1 * zn2t1i11)
-
-   END FUNCTION s11kr
-
-   FUNCTION s12kr(px,py,pz)
+
+      !!-------------------------------------------------------------------
+      !! Function : s11kr
+      !!-------------------------------------------------------------------
+      allsk(1) = (- zHen1t2 * zn1t2i11 - zHen2t1 * zn2t1i11)
       !!-------------------------------------------------------------------
       !! Function : s12kr
       !!-------------------------------------------------------------------
-      REAL(wp), INTENT(in   ) ::   px,py,pz
-
-      REAL(wp) ::   s12kr, zs12r0, zs21r0, zpih
-
-      REAL(wp) ::   zn1t2i11, zn1t2i12, zn1t2i21, zn1t2i22
-      REAL(wp) ::   zn2t1i11, zn2t1i12, zn2t1i21, zn2t1i22
-      REAL(wp) ::   zt1t2i11, zt1t2i12, zt1t2i21, zt1t2i22
-      REAL(wp) ::   zt2t1i11, zt2t1i12, zt2t1i21, zt2t1i22
-      REAL(wp) ::   zd11, zd12, zd22
-      REAL(wp) ::   zIIn1t2, zIIn2t1, zIIt1t2
-      REAL(wp) ::   zHen1t2, zHen2t1
-      !!-------------------------------------------------------------------
-      zpih = 0.5_wp*rpi
-   
-      zn1t2i11 = cos(pz+zpih-pphi) * cos(pz+pphi)
-      zn1t2i12 = cos(pz+zpih-pphi) * sin(pz+pphi)
-      zn1t2i21 = sin(pz+zpih-pphi) * cos(pz+pphi)
-      zn1t2i22 = sin(pz+zpih-pphi) * sin(pz+pphi)
-      zn2t1i11 = cos(pz-zpih+pphi) * cos(pz-pphi)
-      zn2t1i12 = cos(pz-zpih+pphi) * sin(pz-pphi)
-      zn2t1i21 = sin(pz-zpih+pphi) * cos(pz-pphi)
-      zn2t1i22 = sin(pz-zpih+pphi) * sin(pz-pphi)
-      zt1t2i11 = cos(pz-pphi) * cos(pz+pphi)
-      zt1t2i12 = cos(pz-pphi) * sin(pz+pphi)
-      zt1t2i21 = sin(pz-pphi) * cos(pz+pphi)
-      zt1t2i22 = sin(pz-pphi) * sin(pz+pphi)
-      zt2t1i11 = cos(pz+pphi) * cos(pz-pphi)
-      zt2t1i12 = cos(pz+pphi) * sin(pz-pphi)
-      zt2t1i21 = sin(pz+pphi) * cos(pz-pphi)
-      zt2t1i22 = sin(pz+pphi) * sin(pz-pphi)
-      zd11 = cos(py)*cos(py)*(cos(px)+sin(px)*tan(py)*tan(py))
-      zd12 = cos(py)*cos(py)*tan(py)*(-cos(px)+sin(px))
-      zd22 = cos(py)*cos(py)*(sin(px)+cos(px)*tan(py)*tan(py))
-      zIIn1t2 = zn1t2i11 * zd11 + (zn1t2i12 + zn1t2i21) * zd12 + zn1t2i22 * zd22
-      zIIn2t1 = zn2t1i11 * zd11 + (zn2t1i12 + zn2t1i21) * zd12 + zn2t1i22 * zd22
-      zIIt1t2 = zt1t2i11 * zd11 + (zt1t2i12 + zt1t2i21) * zd12 + zt1t2i22 * zd22
-   
-      IF (-zIIn1t2>=rsmall) THEN
-      zHen1t2 = 1._wp
-      ELSE
-      zHen1t2 = 0._wp
-      ENDIF
-   
-      IF (-zIIn2t1>=rsmall) THEN
-      zHen2t1 = 1._wp
-      ELSE
-      zHen2t1 = 0._wp
-      ENDIF
-   
       zs12r0 = (- zHen1t2 * zn1t2i12 - zHen2t1 * zn2t1i12)
       zs21r0 = (- zHen1t2 * zn1t2i21 - zHen2t1 * zn2t1i21)
-      s12kr=0.5_wp*(zs12r0+zs21r0)
-   
-   END FUNCTION s12kr
-
-   FUNCTION s22kr(px,py,pz)
+      allsk(2)=0.5_wp*(zs12r0+zs21r0)
       !!-------------------------------------------------------------------
       !! Function : s22kr
       !!-------------------------------------------------------------------
-      REAL(wp), INTENT(in   ) ::   px,py,pz
-
-      REAL(wp) ::   s22kr, zpih
-
-      REAL(wp) ::   zn1t2i11, zn1t2i12, zn1t2i21, zn1t2i22
-      REAL(wp) ::   zn2t1i11, zn2t1i12, zn2t1i21, zn2t1i22
-      REAL(wp) ::   zt1t2i11, zt1t2i12, zt1t2i21, zt1t2i22
-      REAL(wp) ::   zt2t1i11, zt2t1i12, zt2t1i21, zt2t1i22
-      REAL(wp) ::   zd11, zd12, zd22
-      REAL(wp) ::   zIIn1t2, zIIn2t1, zIIt1t2
-      REAL(wp) ::   zHen1t2, zHen2t1
-      !!-------------------------------------------------------------------
-      zpih = 0.5_wp*rpi
-
-      zn1t2i11 = cos(pz+zpih-pphi) * cos(pz+pphi)
-      zn1t2i12 = cos(pz+zpih-pphi) * sin(pz+pphi)
-      zn1t2i21 = sin(pz+zpih-pphi) * cos(pz+pphi)
-      zn1t2i22 = sin(pz+zpih-pphi) * sin(pz+pphi)
-      zn2t1i11 = cos(pz-zpih+pphi) * cos(pz-pphi)
-      zn2t1i12 = cos(pz-zpih+pphi) * sin(pz-pphi)
-      zn2t1i21 = sin(pz-zpih+pphi) * cos(pz-pphi)
-      zn2t1i22 = sin(pz-zpih+pphi) * sin(pz-pphi)
-      zt1t2i11 = cos(pz-pphi) * cos(pz+pphi)
-      zt1t2i12 = cos(pz-pphi) * sin(pz+pphi)
-      zt1t2i21 = sin(pz-pphi) * cos(pz+pphi)
-      zt1t2i22 = sin(pz-pphi) * sin(pz+pphi)
-      zt2t1i11 = cos(pz+pphi) * cos(pz-pphi)
-      zt2t1i12 = cos(pz+pphi) * sin(pz-pphi)
-      zt2t1i21 = sin(pz+pphi) * cos(pz-pphi)
-      zt2t1i22 = sin(pz+pphi) * sin(pz-pphi)
-      zd11 = cos(py)*cos(py)*(cos(px)+sin(px)*tan(py)*tan(py))
-      zd12 = cos(py)*cos(py)*tan(py)*(-cos(px)+sin(px))
-      zd22 = cos(py)*cos(py)*(sin(px)+cos(px)*tan(py)*tan(py))
-      zIIn1t2 = zn1t2i11 * zd11 + (zn1t2i12 + zn1t2i21) * zd12 + zn1t2i22 * zd22
-      zIIn2t1 = zn2t1i11 * zd11 + (zn2t1i12 + zn2t1i21) * zd12 + zn2t1i22 * zd22
-      zIIt1t2 = zt1t2i11 * zd11 + (zt1t2i12 + zt1t2i21) * zd12 + zt1t2i22 * zd22
-
-      IF (-zIIn1t2>=rsmall) THEN
-      zHen1t2 = 1._wp
-      ELSE
-      zHen1t2 = 0._wp
-      ENDIF
-
-      IF (-zIIn2t1>=rsmall) THEN
-      zHen2t1 = 1._wp
-      ELSE
-      zHen2t1 = 0._wp
-      ENDIF
-
-      s22kr = (- zHen1t2 * zn1t2i22 - zHen2t1 * zn2t1i22)
-
-   END FUNCTION s22kr
-
-   FUNCTION s11ks(px,py,pz)
+      allsk(3) = (- zHen1t2 * zn1t2i22 - zHen2t1 * zn2t1i22)
       !!-------------------------------------------------------------------
       !! Function : s11ks
       !!-------------------------------------------------------------------
-      REAL(wp), INTENT(in   ) ::   px,py,pz
-
-      REAL(wp) ::   s11ks, zpih
-
-      REAL(wp) ::   zn1t2i11, zn1t2i12, zn1t2i21, zn1t2i22
-      REAL(wp) ::   zn2t1i11, zn2t1i12, zn2t1i21, zn2t1i22
-      REAL(wp) ::   zt1t2i11, zt1t2i12, zt1t2i21, zt1t2i22
-      REAL(wp) ::   zt2t1i11, zt2t1i12, zt2t1i21, zt2t1i22
-      REAL(wp) ::   zd11, zd12, zd22
-      REAL(wp) ::   zIIn1t2, zIIn2t1, zIIt1t2
-      REAL(wp) ::   zHen1t2, zHen2t1
-      !!-------------------------------------------------------------------
-      zpih = 0.5_wp*rpi
-
-      zn1t2i11 = cos(pz+zpih-pphi) * cos(pz+pphi)
-      zn1t2i12 = cos(pz+zpih-pphi) * sin(pz+pphi)
-      zn1t2i21 = sin(pz+zpih-pphi) * cos(pz+pphi)
-      zn1t2i22 = sin(pz+zpih-pphi) * sin(pz+pphi)
-      zn2t1i11 = cos(pz-zpih+pphi) * cos(pz-pphi)
-      zn2t1i12 = cos(pz-zpih+pphi) * sin(pz-pphi)
-      zn2t1i21 = sin(pz-zpih+pphi) * cos(pz-pphi)
-      zn2t1i22 = sin(pz-zpih+pphi) * sin(pz-pphi)
-      zt1t2i11 = cos(pz-pphi) * cos(pz+pphi)
-      zt1t2i12 = cos(pz-pphi) * sin(pz+pphi)
-      zt1t2i21 = sin(pz-pphi) * cos(pz+pphi)
-      zt1t2i22 = sin(pz-pphi) * sin(pz+pphi)
-      zt2t1i11 = cos(pz+pphi) * cos(pz-pphi)
-      zt2t1i12 = cos(pz+pphi) * sin(pz-pphi)
-      zt2t1i21 = sin(pz+pphi) * cos(pz-pphi)
-      zt2t1i22 = sin(pz+pphi) * sin(pz-pphi)
-      zd11 = cos(py)*cos(py)*(cos(px)+sin(px)*tan(py)*tan(py))
-      zd12 = cos(py)*cos(py)*tan(py)*(-cos(px)+sin(px))
-      zd22 = cos(py)*cos(py)*(sin(px)+cos(px)*tan(py)*tan(py))
-      zIIn1t2 = zn1t2i11 * zd11 + (zn1t2i12 + zn1t2i21) * zd12 + zn1t2i22 * zd22
-      zIIn2t1 = zn2t1i11 * zd11 + (zn2t1i12 + zn2t1i21) * zd12 + zn2t1i22 * zd22
-      zIIt1t2 = zt1t2i11 * zd11 + (zt1t2i12 + zt1t2i21) * zd12 + zt1t2i22 * zd22
-
-      IF (-zIIn1t2>=rsmall) THEN
-      zHen1t2 = 1._wp
-      ELSE
-      zHen1t2 = 0._wp
-      ENDIF
-
-      IF (-zIIn2t1>=rsmall) THEN
-      zHen2t1 = 1._wp
-      ELSE
-      zHen2t1 = 0._wp
-      ENDIF
-
-      s11ks = sign(1._wp,zIIt1t2+rsmall)*(zHen1t2 * zt1t2i11 + zHen2t1 * zt2t1i11)
-
-   END FUNCTION s11ks
-
-   FUNCTION s12ks(px,py,pz)
+
+      allsk(4) = sign(1._wp,zIIt1t2+rsmall)*(zHen1t2 * zt1t2i11 + zHen2t1 * zt2t1i11)
       !!-------------------------------------------------------------------
       !! Function : s12ks
       !!-------------------------------------------------------------------
-      REAL(wp), INTENT(in   ) ::   px,py,pz
-
-      REAL(wp) ::   s12ks, zs12s0, zs21s0, zpih
-
-      REAL(wp) ::   zn1t2i11, zn1t2i12, zn1t2i21, zn1t2i22
-      REAL(wp) ::   zn2t1i11, zn2t1i12, zn2t1i21, zn2t1i22
-      REAL(wp) ::   zt1t2i11, zt1t2i12, zt1t2i21, zt1t2i22
-      REAL(wp) ::   zt2t1i11, zt2t1i12, zt2t1i21, zt2t1i22
-      REAL(wp) ::   zd11, zd12, zd22
-      REAL(wp) ::   zIIn1t2, zIIn2t1, zIIt1t2
-      REAL(wp) ::   zHen1t2, zHen2t1
-      !!-------------------------------------------------------------------
-      zpih = 0.5_wp*rpi
-
-      zn1t2i11 = cos(pz+zpih-pphi) * cos(pz+pphi)
-      zn1t2i12 = cos(pz+zpih-pphi) * sin(pz+pphi)
-      zn1t2i21 = sin(pz+zpih-pphi) * cos(pz+pphi)
-      zn1t2i22 = sin(pz+zpih-pphi) * sin(pz+pphi)
-      zn2t1i11 = cos(pz-zpih+pphi) * cos(pz-pphi)
-      zn2t1i12 = cos(pz-zpih+pphi) * sin(pz-pphi)
-      zn2t1i21 = sin(pz-zpih+pphi) * cos(pz-pphi)
-      zn2t1i22 = sin(pz-zpih+pphi) * sin(pz-pphi)
-      zt1t2i11 = cos(pz-pphi) * cos(pz+pphi)
-      zt1t2i12 = cos(pz-pphi) * sin(pz+pphi)
-      zt1t2i21 = sin(pz-pphi) * cos(pz+pphi)
-      zt1t2i22 = sin(pz-pphi) * sin(pz+pphi)
-      zt2t1i11 = cos(pz+pphi) * cos(pz-pphi)
-      zt2t1i12 = cos(pz+pphi) * sin(pz-pphi)
-      zt2t1i21 = sin(pz+pphi) * cos(pz-pphi)
-      zt2t1i22 = sin(pz+pphi) * sin(pz-pphi)
-      zd11 = cos(py)*cos(py)*(cos(px)+sin(px)*tan(py)*tan(py))
-      zd12 = cos(py)*cos(py)*tan(py)*(-cos(px)+sin(px))
-      zd22 = cos(py)*cos(py)*(sin(px)+cos(px)*tan(py)*tan(py))
-      zIIn1t2 = zn1t2i11 * zd11 + (zn1t2i12 + zn1t2i21) * zd12 + zn1t2i22 * zd22
-      zIIn2t1 = zn2t1i11 * zd11 + (zn2t1i12 + zn2t1i21) * zd12 + zn2t1i22 * zd22
-      zIIt1t2 = zt1t2i11 * zd11 + (zt1t2i12 + zt1t2i21) * zd12 + zt1t2i22 * zd22
-
-      IF (-zIIn1t2>=rsmall) THEN
-      zHen1t2 = 1._wp
-      ELSE
-      zHen1t2 = 0._wp
-      ENDIF
-
-      IF (-zIIn2t1>=rsmall) THEN
-      zHen2t1 = 1._wp
-      ELSE
-      zHen2t1 = 0._wp
-      ENDIF
-
       zs12s0 = sign(1._wp,zIIt1t2+rsmall)*(zHen1t2 * zt1t2i12 + zHen2t1 * zt2t1i12)
       zs21s0 = sign(1._wp,zIIt1t2+rsmall)*(zHen1t2 * zt1t2i21 + zHen2t1 * zt2t1i21)
-      s12ks=0.5_wp*(zs12s0+zs21s0)
-
-   END FUNCTION s12ks
-
-   FUNCTION s22ks(px,py,pz) 
+      allsk(5)=0.5_wp*(zs12s0+zs21s0)
       !!-------------------------------------------------------------------
       !! Function : s22ks
       !!-------------------------------------------------------------------
-      REAL(wp), INTENT(in   ) ::   px,py,pz
-
-      REAL(wp) ::   s22ks, zpih
-
-      REAL(wp) ::   zn1t2i11, zn1t2i12, zn1t2i21, zn1t2i22
-      REAL(wp) ::   zn2t1i11, zn2t1i12, zn2t1i21, zn2t1i22
-      REAL(wp) ::   zt1t2i11, zt1t2i12, zt1t2i21, zt1t2i22
-      REAL(wp) ::   zt2t1i11, zt2t1i12, zt2t1i21, zt2t1i22
-      REAL(wp) ::   zd11, zd12, zd22
-      REAL(wp) ::   zIIn1t2, zIIn2t1, zIIt1t2
-      REAL(wp) ::   zHen1t2, zHen2t1
-      !!-------------------------------------------------------------------
-      zpih = 0.5_wp*rpi
-
-      zn1t2i11 = cos(pz+zpih-pphi) * cos(pz+pphi)
-      zn1t2i12 = cos(pz+zpih-pphi) * sin(pz+pphi)
-      zn1t2i21 = sin(pz+zpih-pphi) * cos(pz+pphi)
-      zn1t2i22 = sin(pz+zpih-pphi) * sin(pz+pphi)
-      zn2t1i11 = cos(pz-zpih+pphi) * cos(pz-pphi)
-      zn2t1i12 = cos(pz-zpih+pphi) * sin(pz-pphi)
-      zn2t1i21 = sin(pz-zpih+pphi) * cos(pz-pphi)
-      zn2t1i22 = sin(pz-zpih+pphi) * sin(pz-pphi)
-      zt1t2i11 = cos(pz-pphi) * cos(pz+pphi)
-      zt1t2i12 = cos(pz-pphi) * sin(pz+pphi)
-      zt1t2i21 = sin(pz-pphi) * cos(pz+pphi)
-      zt1t2i22 = sin(pz-pphi) * sin(pz+pphi)
-      zt2t1i11 = cos(pz+pphi) * cos(pz-pphi)
-      zt2t1i12 = cos(pz+pphi) * sin(pz-pphi)
-      zt2t1i21 = sin(pz+pphi) * cos(pz-pphi)
-      zt2t1i22 = sin(pz+pphi) * sin(pz-pphi)
-      zd11 = cos(py)*cos(py)*(cos(px)+sin(px)*tan(py)*tan(py))
-      zd12 = cos(py)*cos(py)*tan(py)*(-cos(px)+sin(px))
-      zd22 = cos(py)*cos(py)*(sin(px)+cos(px)*tan(py)*tan(py))
-      zIIn1t2 = zn1t2i11 * zd11 + (zn1t2i12 + zn1t2i21) * zd12 + zn1t2i22 * zd22
-      zIIn2t1 = zn2t1i11 * zd11 + (zn2t1i12 + zn2t1i21) * zd12 + zn2t1i22 * zd22
-      zIIt1t2 = zt1t2i11 * zd11 + (zt1t2i12 + zt1t2i21) * zd12 + zt1t2i22 * zd22
-
-      IF (-zIIn1t2>=rsmall) THEN
-      zHen1t2 = 1._wp
-      ELSE
-      zHen1t2 = 0._wp
-      ENDIF
-
-      IF (-zIIn2t1>=rsmall) THEN
-      zHen2t1 = 1._wp
-      ELSE
-      zHen2t1 = 0._wp
-      ENDIF
-
-      s22ks = sign(1._wp,zIIt1t2+rsmall)*(zHen1t2 * zt1t2i22 + zHen2t1 * zt2t1i22)
-
-   END FUNCTION s22ks
+      allsk(6) = sign(1._wp,zIIt1t2+rsmall)*(zHen1t2 * zt1t2i22 + zHen2t1 * zt2t1i22)
+   END SUBROUTINE all_skr_sks
 
 #else
@@ -1997,4 +1742,20 @@
    !!   Default option         Empty module           NO SI3 sea-ice model
    !!----------------------------------------------------------------------
+   USE par_kind
+   USE lib_mpp
+   CONTAINS
+   SUBROUTINE ice_dyn_rhg_eap( kt, Kmm, pstress1_i, pstress2_i, pstress12_i, pshear_i, pdivu_i, pdelta_i, paniso_11, paniso_12, prdg_conv )
+      INTEGER                 , INTENT(in   ) ::   kt                                    ! time step
+      INTEGER                 , INTENT(in   ) ::   Kmm                                   ! ocean time level index
+      REAL(wp), DIMENSION(:,:), INTENT(in   ) ::   pstress1_i, pstress2_i, pstress12_i   !
+      REAL(wp), DIMENSION(:,:), INTENT(in   ) ::   pshear_i  , pdivu_i   , pdelta_i      !
+      REAL(wp), DIMENSION(:,:), INTENT(in   ) ::   paniso_11 , paniso_12                 ! structure tensor components
+      REAL(wp), DIMENSION(:,:), INTENT(in   ) ::   prdg_conv                             ! for ridging
+      CALL ctl_stop('EAP rheology is currently dsabled due to issues with AGRIF preprocessing')
+   END SUBROUTINE ice_dyn_rhg_eap
+   SUBROUTINE rhg_eap_rst( cdrw, kt )
+      CHARACTER(len=*) , INTENT(in) ::   cdrw   ! "READ"/"WRITE" flag
+      INTEGER, OPTIONAL, INTENT(in) ::   kt     ! ice time-step
+   END SUBROUTINE rhg_eap_rst
 #endif
 
Index: /NEMO/branches/2020/dev_r14116_HPC-04_mcastril_Mixed_Precision_implementation_final/tests/ICE_RHEO/cpp_ICE_RHEO.fcm
===================================================================
--- /NEMO/branches/2020/dev_r14116_HPC-04_mcastril_Mixed_Precision_implementation_final/tests/ICE_RHEO/cpp_ICE_RHEO.fcm	(revision 14199)
+++ /NEMO/branches/2020/dev_r14116_HPC-04_mcastril_Mixed_Precision_implementation_final/tests/ICE_RHEO/cpp_ICE_RHEO.fcm	(revision 14200)
@@ -1,1 +1,1 @@
-bld::tool::fppkeys key_si3 key_mpp_mpi key_nosignedzero key_iomput
+bld::tool::fppkeys key_si3 key_linssh key_mpp_mpi key_nosignedzero key_iomput
Index: /NEMO/branches/2020/dev_r14116_HPC-04_mcastril_Mixed_Precision_implementation_final/tests/ISOMIP+/MY_SRC/eosbn2.F90
===================================================================
--- /NEMO/branches/2020/dev_r14116_HPC-04_mcastril_Mixed_Precision_implementation_final/tests/ISOMIP+/MY_SRC/eosbn2.F90	(revision 14199)
+++ /NEMO/branches/2020/dev_r14116_HPC-04_mcastril_Mixed_Precision_implementation_final/tests/ISOMIP+/MY_SRC/eosbn2.F90	(revision 14200)
@@ -91,6 +91,6 @@
 
    !                               !!!  simplified eos coefficients (default value: Vallis 2006)
-   REAL(wp) ::   rn_a0      = 1.6550e-1_wp     ! thermal expansion coeff. 
-   REAL(wp) ::   rn_b0      = 7.6554e-1_wp     ! saline  expansion coeff. 
+   REAL(wp), PUBLIC ::   rn_a0      = 1.6550e-1_wp     ! thermal expansion coeff. 
+   REAL(wp), PUBLIC ::   rn_b0      = 7.6554e-1_wp     ! saline  expansion coeff. 
    REAL(wp) ::   rn_lambda1 = 5.9520e-2_wp     ! cabbeling coeff. in T^2        
    REAL(wp) ::   rn_lambda2 = 5.4914e-4_wp     ! cabbeling coeff. in S^2        
Index: /NEMO/branches/2020/dev_r14116_HPC-04_mcastril_Mixed_Precision_implementation_final/tests/LOCK_EXCHANGE/cpp_LOCK_EXCHANGE.fcm
===================================================================
--- /NEMO/branches/2020/dev_r14116_HPC-04_mcastril_Mixed_Precision_implementation_final/tests/LOCK_EXCHANGE/cpp_LOCK_EXCHANGE.fcm	(revision 14199)
+++ /NEMO/branches/2020/dev_r14116_HPC-04_mcastril_Mixed_Precision_implementation_final/tests/LOCK_EXCHANGE/cpp_LOCK_EXCHANGE.fcm	(revision 14200)
@@ -1,1 +1,1 @@
- bld::tool::fppkeys   key_iomput key_mpp_mpi 
+ bld::tool::fppkeys   key_qco key_iomput key_mpp_mpi 
Index: /NEMO/branches/2020/dev_r14116_HPC-04_mcastril_Mixed_Precision_implementation_final/tests/OVERFLOW/cpp_OVERFLOW.fcm
===================================================================
--- /NEMO/branches/2020/dev_r14116_HPC-04_mcastril_Mixed_Precision_implementation_final/tests/OVERFLOW/cpp_OVERFLOW.fcm	(revision 14199)
+++ /NEMO/branches/2020/dev_r14116_HPC-04_mcastril_Mixed_Precision_implementation_final/tests/OVERFLOW/cpp_OVERFLOW.fcm	(revision 14200)
@@ -1,1 +1,1 @@
-bld::tool::fppkeys   key_mpp_mpi key_iomput 
+bld::tool::fppkeys   key_qco key_mpp_mpi key_iomput 
Index: /NEMO/branches/2020/dev_r14116_HPC-04_mcastril_Mixed_Precision_implementation_final/tests/STATION_ASF/cpp_STATION_ASF.fcm
===================================================================
--- /NEMO/branches/2020/dev_r14116_HPC-04_mcastril_Mixed_Precision_implementation_final/tests/STATION_ASF/cpp_STATION_ASF.fcm	(revision 14199)
+++ /NEMO/branches/2020/dev_r14116_HPC-04_mcastril_Mixed_Precision_implementation_final/tests/STATION_ASF/cpp_STATION_ASF.fcm	(revision 14200)
@@ -1,1 +1,1 @@
- bld::tool::fppkeys   key_si3 key_c1d key_iomput key_mpp_mpi
+ bld::tool::fppkeys   key_si3 key_c1d key_qco key_iomput key_mpp_mpi
Index: /NEMO/branches/2020/dev_r14116_HPC-04_mcastril_Mixed_Precision_implementation_final/tests/SWG/cpp_SWG.fcm
===================================================================
--- /NEMO/branches/2020/dev_r14116_HPC-04_mcastril_Mixed_Precision_implementation_final/tests/SWG/cpp_SWG.fcm	(revision 14199)
+++ /NEMO/branches/2020/dev_r14116_HPC-04_mcastril_Mixed_Precision_implementation_final/tests/SWG/cpp_SWG.fcm	(revision 14200)
@@ -1,1 +1,1 @@
-bld::tool::fppkeys  key_mpp_mpi key_iomput key_qco 
+bld::tool::fppkeys  key_mpp_mpi key_iomput key_qco key_RK3
Index: /NEMO/branches/2020/dev_r14116_HPC-04_mcastril_Mixed_Precision_implementation_final/tests/VORTEX/MY_SRC/usrdef_istate.F90
===================================================================
--- /NEMO/branches/2020/dev_r14116_HPC-04_mcastril_Mixed_Precision_implementation_final/tests/VORTEX/MY_SRC/usrdef_istate.F90	(revision 14199)
+++ /NEMO/branches/2020/dev_r14116_HPC-04_mcastril_Mixed_Precision_implementation_final/tests/VORTEX/MY_SRC/usrdef_istate.F90	(revision 14200)
@@ -17,4 +17,5 @@
    USE dom_oce , ONLY : glamt, gphit, glamu, gphiu, glamv, gphiv  
    USE phycst         ! physical constants
+   USE eosbn2  , ONLY : rn_a0
    !
    USE in_out_manager ! I/O manager
@@ -85,5 +86,5 @@
                   & * EXP(-(zx**2+zy**2)/zlambda**2) / (grav*(zH -1._wp + EXP(-zH)));
             ENDIF
-            pts(ji,jj,jk,jp_tem) = (20._wp + (rho0-zrho1) / 0.28_wp) * ptmask(ji,jj,jk)
+            pts(ji,jj,jk,jp_tem) = (20._wp + (rho0-zrho1) / rn_a0 ) * ptmask(ji,jj,jk)
          END DO
       END_2D
Index: /NEMO/branches/2020/dev_r14116_HPC-04_mcastril_Mixed_Precision_implementation_final/tests/VORTEX/cpp_VORTEX.fcm
===================================================================
--- /NEMO/branches/2020/dev_r14116_HPC-04_mcastril_Mixed_Precision_implementation_final/tests/VORTEX/cpp_VORTEX.fcm	(revision 14199)
+++ /NEMO/branches/2020/dev_r14116_HPC-04_mcastril_Mixed_Precision_implementation_final/tests/VORTEX/cpp_VORTEX.fcm	(revision 14200)
@@ -1,1 +1,1 @@
- bld::tool::fppkeys key_iomput key_mpp_mpi key_agrif 
+ bld::tool::fppkeys key_iomput key_mpp_mpi key_agrif key_qco 
Index: /NEMO/branches/2020/dev_r14116_HPC-04_mcastril_Mixed_Precision_implementation_final/tests/WAD/cpp_WAD.fcm
===================================================================
--- /NEMO/branches/2020/dev_r14116_HPC-04_mcastril_Mixed_Precision_implementation_final/tests/WAD/cpp_WAD.fcm	(revision 14199)
+++ /NEMO/branches/2020/dev_r14116_HPC-04_mcastril_Mixed_Precision_implementation_final/tests/WAD/cpp_WAD.fcm	(revision 14200)
@@ -1,1 +1,1 @@
- bld::tool::fppkeys   key_iomput key_mpp_mpi 
+ bld::tool::fppkeys   key_iomput key_mpp_mpi key_qco 
